import("stdfaust.lib"); 

freq = vslider("freq", 0.1, 0, 20000, 0.01);

mySamplesNum = 6;
mySamples =  waveform {1, 2, 3, 4, 5, 6};

pdPhasor(f) = os.phasor(1, f);


elementaryPlayer(f0, mySamp, mySampNum) = myPlayer
	with {
			zeroToOnePhase = pdPhasor(f0) : ma.decimal;
			myIndex = zeroToOnePhase * float(mySampNum);
			i1 = int(myIndex);
			s1 = (mySamp, i1) : (+(1), _, _) : rdtable;
			myPlayer = s1;
};

process = elementaryPlayer(freq, mySamples, mySamplesNum);